edge_alerts 0.0.1
edge_alerts: ^0.0.1 copied to clipboard

null safe version from the edge_alert package with more

Edge Alerts #

A Flutter package that shows alert from top or bottom of the screen.

How to Use #

# add this line to your dependencies
edge_alerts: ^0.0.1
import 'package:edge_alerts/edge_alerts.dart';
edgeAlert(context, title: 'Title', description: 'Description', gravity: Gravity.top);
propertydescription
contextBuildContext (required)
title'Your title goes here' (nullable)
description'Your description goes here' (nullable)
iconIconData (nullable)
backgroundColorColor (nullable) (Default theme primary color)
durationnumber of seconds in int
gravityenum Gravity { top , bottom }

EdgeAlert

Inspiration #

https://github.com/Tapadoo/Alerter/

Original package #

https://github.com/mohamed6996/EdgeAlert

License #

MIT License
3
likes
100
pub points
44%
popularity

Publisher

Unknown

null safe version from the edge_alert package with more

Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

flutter

More

Packages that depend on edge_alerts